Name: fotox
Version: 37
Release: alt1

Summary: Software for digital image editing, HDR composites, and panoramas
License: GPLv2+
Group: Graphics

Url: http://kornelix.squarespace.com/fotox
Source: http://kornelix.squarespace.com/storage/fotox/fotox.%version.tar.gz
Source1: fotox.desktop

# Automatically added by buildreq on Wed Dec 12 2007
BuildRequires: gcc-c++ libgtk+2-devel

# fotox uses exiv2 executable to read EXIF data, hence this dep:
Requires: exiv2

%description
Fotox is a program for improving digital photos. Navigate through large image
directories using a window of thumbnail images. Create HDR (high dynamic
range) images by combining bright and dark images to improve details visible
in both bright and dark areas. Create panorama (extra wide) images by joining
overlapped images. Adjust brightness and color intensity independently for
different underlying brightness levels. Reduce fog or haze by removing
"whiteness" and intensifying colors. Rotate an image (level a tilted image or
turn 90 degrees). Remove the red-eye effect from electronic flash photos.
Resize or crop an image.

%prep
%setup -n fotox

%build
%__subst 's/DOCDIR/DATADIR/' zfuncs.cpp
%__subst 's/-O /%optflags /' build
PREFIX=/usr ./build build

%install
install -d %buildroot%_datadir/fotox
cp -av *.xtext *.pdf icons/ %buildroot%_datadir/fotox
install -pD -m755 fotox %buildroot%_bindir/fotox

install -pD -m644 %SOURCE1 %buildroot%_desktopdir/fotox.desktop
install -pD -m644 icons/fotox.png %buildroot%_pixmapsdir/fotox.png

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_desktopdir/*
%_pixmapsdir/*
%_datadir/fotox

%changelog
* Thu Mar 27 2008 Victor Forsyuk <force@altlinux.org> 37-alt1
- Version 37.

* Tue Mar 04 2008 Victor Forsyuk <force@altlinux.org> 36-alt1
- Version 36.

* Wed Dec 12 2007 Victor Forsyuk <force@altlinux.org> 33-alt1
- Initial build.
